Bug 12183 - Could password field display *'s for each character?
Could password field display *'s for each character?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-13 00:25 EDT by Brent Nordquist
Modified: 2007-04-18 12:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-15 15:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2000-06-13 00:25:18 EDT
During an install, I had entered an 8-char root password twice and moved on
to later screens, when I remembered something I needed to change from an
earlier screen.  "Back" worked fine to get me there; I made the change and
started OK'ing screens to move forward again.

When I got to the root password screen again, the fields appeared blank, so
the dilemma is:  is there something there or not?  I assumed not, so I
entered the 8-char root password again.

When the install was done and upon reboot, the 8-char password didn't work,
but if I repeated it (16 chars) it worked correctly.  Clearly the previous
entry was in the buffer when I returned to the screen, but there was no way
to know that.

It seems to me that password fields should display *'s for each character,
so you can see if the field is empty or not.  If not, then I think the
fields should be cleared upon revisiting the screen.  If neither of these,
confusion will result, and the user may end up locked out of the root
account.
Comment 1 Michael Fulbright 2000-06-15 11:43:39 EDT
This will be added for consideration for future releases.
Comment 2 Michael Fulbright 2000-09-15 15:15:10 EDT
Fixed in Pinstripe.

Note You need to log in before you can comment on or make changes to this bug.